Автор Тема: [РЕШЕНО] Проблема с обновлением дистра  (Прочитано 2805 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн APL

  • Пользователь
  • *
  • Сообщений: 30
  • Jabber: andrewpl@jabber.ru
# apt-get dist-upgrade

Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Расчёт обновлений... Неудачно
Пакеты, имеющие неудовлетворённые зависимости:
 libgl1-mesa-dri : Ломает: xserver-xorg-core (< 2:1.10.2-2) но 2:1.7.7-9 будет установлен
E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.

как это исправить?
« Последнее редактирование: 15 Ноября 2011, 22:17:30 от APL »
 

Оффлайн Ghostdmn

Re: Проблема с обновлением дистра
« Ответ #1 : 15 Ноября 2011, 14:02:49 »
Вывод
etc/apt/sources.list, плз.
8Gb/GTX750Ti 2Gb/AMD FX(tm)-4300 Quad-Core Processor/HDD 1Tb Toshiba DT01ACA100
 

Оффлайн APL

  • Пользователь
  • *
  • Сообщений: 30
  • Jabber: andrewpl@jabber.ru
Re: Проблема с обновлением дистра
« Ответ #2 : 15 Ноября 2011, 14:13:11 »
deb http://packages.linuxmint.com/ debian main upstream import
deb http://ftp.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free


Сообщение объединено: 15 Ноября 2011, 15:54:38
Пробовал

#  apt-get install --reinstall libgl1-mesa-dri xserver-xorg-core
Пакеты, имеющие неудовлетворённые зависимости:
 xserver-xorg-core : Зависит: libpixman-1-0 (>= 0.21.6) но 0.20.2-0ubuntu1 будет установлен
E: Сломанные пакеты

Посмотрел  libpixman-1-0 в синаптике... там только 0.20.2-0ubuntu1
Удалять его я не решился, т.к. куча прог его используют...

« Последнее редактирование: 15 Ноября 2011, 15:54:38 от APL »
 

Оффлайн SeHELLioN

Re: Проблема с обновлением дистра
« Ответ #3 : 15 Ноября 2011, 15:54:56 »
Цитировать
deb http://packages.linuxmint.com/ debian main upstream import
А это зачем?
Asus m5a97+Amd fx-8350+4x4GB DDR3 1600MGz+asus gtx670 DCII (перешита в top)
Debian stable
 

Оффлайн APL

  • Пользователь
  • *
  • Сообщений: 30
  • Jabber: andrewpl@jabber.ru
Re: Проблема с обновлением дистра
« Ответ #4 : 15 Ноября 2011, 15:59:34 »
У меня LMDE

Сообщение объединено: 15 Ноября 2011, 16:00:48
Не помню... может был он уже, а может для чего-то добавил.

Сообщение объединено: 15 Ноября 2011, 16:04:09
Закоментировал его. Обновление пошло... посмотрим что будет дальше... Я пока по ssh работаю... Приеду - напишу о результатах :)
« Последнее редактирование: 15 Ноября 2011, 16:04:09 от APL »
 

paulcarroty

  • Гость
 

Оффлайн APL

  • Пользователь
  • *
  • Сообщений: 30
  • Jabber: andrewpl@jabber.ru
Re: Проблема с обновлением дистра
« Ответ #6 : 15 Ноября 2011, 17:57:42 »
Что за шовинизм? Чем LMDE от дебиана отличается, кроме настроек, иконок и предустановленных пакетов?
 

Оффлайн SeHELLioN

Re: Проблема с обновлением дистра
« Ответ #7 : 15 Ноября 2011, 18:09:16 »
Spoiler: ShowHide
всеобщая неприязнь на форуме к вопросам, касающихся дистрибутивов, хоть сколь-нибудь отличных от Debian ;D
Asus m5a97+Amd fx-8350+4x4GB DDR3 1600MGz+asus gtx670 DCII (перешита в top)
Debian stable
 

paulcarroty

  • Гость
Re: Проблема с обновлением дистра
« Ответ #8 : 15 Ноября 2011, 18:36:18 »
Что за шовинизм? Чем LMDE от дебиана отличается, кроме настроек, иконок и предустановленных пакетов?
Спроси у разработчиков или на его форуме.
 

Оффлайн APL

  • Пользователь
  • *
  • Сообщений: 30
  • Jabber: andrewpl@jabber.ru
Re: Проблема с обновлением дистра
« Ответ #9 : 15 Ноября 2011, 22:17:11 »
Всем спасибо! :) все прошло отлично
 

Оффлайн Valeron

Re: [РЕШЕНО] Проблема с обновлением дистра
« Ответ #10 : 16 Ноября 2011, 01:58:27 »
Spoiler: ShowHide
всеобщая неприязнь на форуме к вопросам, касающихся дистрибутивов, хоть сколь-нибудь отличных от Debian ;D

Spoiler: ShowHide
Я бы еще добавил... ;D
Enter нажат, к чему теперь рыданья...
 

Теги:
     

    [Решено] Не хотят обновляться репозитории(((

    Автор DarkLiveMan

    Ответов: 1
    Просмотров: 4058
    Последний ответ 26 Марта 2012, 21:52:50
    от Brainey
    [Решено] Не загружаются папки в FTP

    Автор neformat

    Ответов: 9
    Просмотров: 2846
    Последний ответ 27 Февраля 2020, 13:16:19
    от neformat
    [Решено] Установка etxt антиплагиат

    Автор lykketil

    Ответов: 6
    Просмотров: 7167
    Последний ответ 26 Марта 2013, 21:01:42
    от lykketil
    [Решено]Не могу установить slurm

    Автор kylakevu4

    Ответов: 13
    Просмотров: 3993
    Последний ответ 02 Сентября 2013, 13:40:22
    от kylakevu4
    [Решено]Как убрать это окно

    Автор alastor

    Ответов: 19
    Просмотров: 5155
    Последний ответ 27 Декабря 2013, 22:34:37
    от alastor